import pygame
import graphics

class TargetScoreSprite(pygame.sprite.Sprite):
    def __init__(self, points, position):
        super(TargetScoreSprite, self).__init__()

        self.color = (200,200,200)
        self.image = graphics.render_text('%dpts'%points, self.color)
        self.rect = self.image.get_rect()
        self.rect.center = position
        self.clock = pygame.time.Clock()
        self.time_passed = 0

    def update(self):
        if self.clock.get_time()<30:
            self.time_passed += self.clock.get_time()

        if self.time_passed > 1000:
            self.kill()
        self.clock.tick()
